(function() {

	const myScript = document.scripts[document.scripts.length - 1];

	// -------- kzRating-ips.php ----------------

	// Localise les adresses IP pour les votes 'un article et d'une langue
	const stats = document.getElementById('stats');
	if(stats != null) {
		const container = document.getElementById('kzRating-ip-container');
		const ip = document.getElementById('kzRating-ip'); // <ul></ul>
		const spinner = document.querySelector('.kzRating-spinner');
		stats.addEventListener('click', function(event) {
			if(event.target.tagName == 'SPAN' && event.target.classList.contains('ballots')) {
				event.preventDefault();
				var el = event.target;
				while(!el.hasAttribute('data-ref') && el != event.currentTarget) {
					el = el.parentElement;
				}
				if(el.hasAttribute('data-ref')) {
					const ref = el.dataset.ref;
					document.getElementById('kzRating-artId').textContent = ref.replace(/^0*(\d+).*/, '$1');
					// console.log('Rating: ' + ref);
					ip.textContent = '';
					container.classList.add('active');
					spinner.classList.add('active');
					const xhr = new XMLHttpRequest();
					xhr.onload = function() {
						// console.log(this.response);
						spinner.classList.remove('active');
						if(this.getResponseHeader('Content-Type') == 'application/json') {
							const datas = JSON.parse(this.response);
							var dbType = 0;
							if(typeof datas.forEach == 'function') {
								datas.forEach(function(item) {
									const el = document.createElement('LI');
									el.textContent = item // IP address
									ip.appendChild(el);
								});
							} else {
								for(var i in datas) {
									const r = datas[i];
									if(dbType == 0) {
										if(typeof r.latitude == 'number') {
											dbType = 5;
										} else if(typeof r.cityName == 'string') {
											dbType = 3;
										} else {
											dbType = 1;
										}
									}
									const el = document.createElement('LI');
									el.innerHTML = `
<span>${i}</span>
<span>${r.countryName} (<em>${r.countryCode}</em>)</span>
${(typeof r.latitude != 'undefined') ? `<span>${r.latitude},${r.longitude}</span>` : ''}
${(typeof r.cityName != 'undefined') ? `<span>${r.cityName} (<em>${r.regionName})</em></span>` : ''}
`;
									ip.appendChild(el);
								}

								ip.className = `db${dbType}`;
							}
						} else {
							console.error(this.getResponseHeader('Content-Type'));
						}
					};
					xhr.open('GET', document.location.href + '?ref=' + ref);
					xhr.send();
				}
			}
		});

		// Fermeture du popup
		document.querySelector('#kzRating-ip-container .close').onclick = function() {
			this.parentElement.classList.remove('active');
		}
	}

	// Localise une adresse IP dans core/admin/comment.php
	const formComment = document.getElementById('form_comment');
	if(formComment != null) {
		const el = formComment.querySelector('ul > li');
		const xhr = new XMLHttpRequest();
		xhr.el = el;
		xhr.content = el.textContent;
		xhr.ip = xhr.content.replace(/.*\b(\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3})\b/, '$1');
		xhr.onload = function() {
			// console.log(this.response);
			const dict = JSON.parse(this.response);
			if(dict.length == 0) {
				return;
			}

			const data = dict[this.ip];
			var innerHTML = `${this.content} - <span>${data.countryName} (<em>${data.countryCode}</em>)`;
			if(typeof data.cityName == 'string') {
				innerHTML += ` - ${data.cityName} (<em>${data.regionName}</em>)</span>`;
			}
			if(typeof data.cidr == 'string') {
				innerHTML += ` - cidr: <span class="cidr">${data.cidr}</span>`;
			}
			this.el.innerHTML = innerHTML;
		}
		xhr.open('GET', myScript.src.replace(/[^\/]*\.js$/, 'location.php?ip=') + encodeURI(xhr.ip));
		xhr.send();
	}
})();
