<?php

session_start();
if(!isset($_SESSION['domain']) or !preg_match('@^(.*/)core/admin$@', $_SESSION['domain'], $matches) or !isset($_SESSION['profil'])) {
	header('Location: ../../../core/admin/auth.php');
	exit;
}

include 'MyDatabase.php';

$allCodeCountries = array_map(
	function($item) {
		return preg_replace('@.*/(\w+)$@', '$1', $item);
	},
	glob('../../../core/lang/*', GLOB_ONLYDIR)
);
$codeCountry = filter_input(INPUT_GET, 'code', FILTER_VALIDATE_REGEXP, array(
	'options' => array(
		'regexp' => '(' . implode('|', $allCodeCountries). ')',
	)
));
$db = new MyDatabase();
$resp = $db->getIpsCountry(!empty($codeCountry) ? $codeCountry : '');
?>
<!DOCTYPE html>
<html lang="fr">
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<title>Ranges IP for <?= $codeCountry ?></title>
	<link rel="icon" href="../../../core/admin/theme/images/favicon.png" />
<style>
	body { background-color: #666; }
	table { margin: 0 auto; border-collapse: collapse; border: 1px solid #444; }
	table, th, caption { background-color: #fff; }
	tr:nth-of-type(2n+1) { background-color: #eee; }
	tr:hover { background-color: #666; color: #fff; }
	th { position: sticky; top: 0; }
	td { text-align: center; }
	td:first-of-type, td:nth-of-type(2) { text-align: end; }
</style>
</head><body>
	<table>
		<caption><?= count($resp) ?> records</caption>
		<thead>
			<th>From</th>
			<th>To</th>
			<th>Country</th>
			<th>From</th>
			<th>To</th>
		</thead>
		<tbody>
<?php
foreach($resp as $infos) {
	list($ipNumFrom, $ipNumTo, $codeCountry) = $infos;
?>
		<tr>
			<td><?= $ipNumFrom ?></td>
			<td><?= $ipNumTo ?></td>
			<td><?= $codeCountry ?></td>
			<td><?= long2ip($ipNumFrom) ?></td>
			<td><?= long2ip($ipNumTo) ?></td>
		</tr>
<?php
}
?>
		</tbody>
	</table>
</body></html>
